Pwallpaper internationalised

L18L has internationalised Pwallpaper, our background-setter. See Forum post:
http://murga-linux.com/puppy/viewtopic.php?t=83672

I have compiled it in Wary and for armv7 (Ubuntu Lucid). Here are the PETs (8K, 8K):
http://distro.ibiblio.org/quirky/pet_packages-common/pwallpaper-1.2-wary5.pet
http://distro.ibiblio.org/quirky/arm/pet_packages-armv7/pwallpaper-1.2-armv7.pet

The .pot file is in the PET.


Posted on 15 Mar 2013, 9:46


Comments:

Posted on 15 Mar 2013, 17:12 by L 18 L
glipper
glipper (not glipper.sh) has been internationalized long time ago.

See my comment at http://bkhome.org/blog2/?viewDetailed=00120 and http://www.murga-linux.com/puppy/viewtopic.php?t=83672&start=5 please.

I think pwallpaper and glipper are the first things a refugee might play with (and I play with them in RPi).





Posted on 16 Mar 2013, 8:25 by disciple
glipper-lite, please
For goodness' sake guys,
Please don't use glipper 0.95
Use my update of glipper-lite (which we found in the old cvs repo), which fixes a notable bug and updates from glade to gtkbuilder. Grab it from svn.

Unless of course you want to fix the internationalisation in Technosaurus' version based on 0.95 (he also called it glipper-lite, which is a bit confusing) which removed glade/gtkbuilder use and switched from eggtrayicon to gtkstatusicon... note that it also won't work unmodified with a gtk older than 2.16.

Or of course you could use the much more feature-rich gtkclipit (parcellite fork - development now halted), or parcellite itself, which has now caught up feature-wise :)


Posted on 16 Mar 2013, 10:01 by BarryK
Re Glipper-lite
I would prefer gtkstatusicon, in line with all the other tray apps. It also takes care of image transparency.

I looked around, found technosauruses code here:
http://www.murga-linux.com/puppy/viewtopic.php?p=507612

Does technosaurues glipper-lite handle binary data in the clipboard?

Note, I do not include Glipper already-activated in my Puppy builds, as it clashes with SeaMonkey Composer usage of the clipboard -- or rather, it did in some tests years ago.



Posted on 16 Mar 2013, 20:59 by L 18 L
glipper 0.95.1 fix
disciple wrote: Unless of course you want to fix the internationalisation in Technosaurus' version based on 0.95

in file main.c after
#ifdef ENABLE_NLS
append line
#include <locale.h>

and change line 765 from
setlocale("C", "");
to
setlocale(LC_ALL, "");

glipper 0.95.1 22k successfully built using command build

german translation successfully tested.
.po files de fr and ru included.





Posted on 17 Mar 2013, 15:06 by disciple
glipper-lite
L18L: cool.
There are 7 translations in my svn version - I've made a lot of minor string changes, but they could be ported across reasonably easily. I also need to look more at why a couple of strings don't translate (in any of the glipper/lite versions).

> I would prefer gtkstatusicon, in line with all the other tray apps. It also takes care of image transparency.

Yes. I've now updated mine as well, to use gtkstatusicon when gtk is recent. A small todo is to fix compiling with the old eggtray code when gtk isn't recent.

> Does technosaurues glipper-lite handle binary data in the clipboard?

I wouldn't say any of the lightweight clipboard managers "handle" binary data, but (almost?) all of them don't interfere with it anymore. I think techno's is fine in terms of that and the old "glipper dies when the WM/panel is restarted" bug. Mine has a lot of minor cosmetic fixes, so I prefer it. And personally I quite like using gtkbuilder, but if that's why my binary is 25% bigger (I would have thought it would make it smaller) I might look at merging that from Techno's version, when I'm back in town.

> Note, I do not include Glipper already-activated in my Puppy builds, as it clashes with SeaMonkey Composer usage of the clipboard -- or rather, it did in some tests years ago.

I'm pretty sure that was only in the dark days of the binary clipboard data bug.


Posted on 17 Mar 2013, 16:48 by L 18 L
re glipper-lite
Note that if technosaurus' build script is used then you have to change also config.h:
/* Define to 1 if translation of program messages to the user's native

language is requested. */
//#define ENABLE_NLS 1
#define ENABLE_NLS 1


-----------------

disciple wrote:
...need to look more at why a couple of strings don't translate (in any of the glipper/lite versions).

Feel free to PM details ( some concrete examples ) to me as I am interested in trying to help with any issues of i18n (and learning C code).




Posted on 20 Mar 2013, 2:51 by L 18 L
jwmthememaker i18n
http://www.murga-linux.com/puppy/viewtopic.php?p=693100